org.bdgenomics.adam.rdd

# fragment

#### package fragment

Visibility

1. Public
2. All

### Type Members

1. #### case class FragmentRDD (rdd: RDD[Fragment], sequences: SequenceDictionary, recordGroups: RecordGroupDictionary) extends AvroReadGroupGenomicRDD[Fragment, FragmentRDD] with Product with Serializable

   A genomic RDD that supports RDDs of Fragments.

   A genomic RDD that supports RDDs of Fragments.

   rdd

     The underlying RDD of Fragment data.

   sequences

     The genomic sequences this data was aligned to, if any.

   recordGroups

     The record groups these Fragments came from.

2. #### class InterleavedFASTQInFormatter extends InFormatter[Fragment, FragmentRDD, InterleavedFASTQInFormatter] with Logging

### Value Members

1. #### object InterleavedFASTQInFormatter extends InFormatterCompanion[Fragment, FragmentRDD, InterleavedFASTQInFormatter] with Serializable

### Ungrouped